DKPDoor Knock Pro Docs
Identity

Get the authenticated user, company and current token

GET
/v1/me

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

curl -X GET "https://app.doorknockpro.com/api/v1/me" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>"

Authenticated identity

{
  "data": {
    "user": {
      "id": 0,
      "name": "string",
      "email": "string"
    },
    "company": {
      "id": 0,
      "name": "string"
    },
    "token": {
      "id": 0,
      "name": "string",
      "abilities": [
        "string"
      ],
      "last_used_at": "2019-08-24T14:15:22Z",
      "expires_at": "2019-08-24T14:15:22Z"
    },
    "api_version": "string"
  }
}